hello

## Class HelloBigDataWorld

- java.lang.Object
- - hello.HelloBigDataWorld

-     public class HelloBigDataWorld
      extends Object

  An extremely simple KVStore client application that writes and reads a single record. It can be used to validate an installation. Before running this example program, start a KVStore instance. The simplest way to do that is to run KV Lite as described in the INSTALL document. Use the KVStore instance name, host and port for running this program, as follows:

       java schema.HelloBigDataWorld -store <instance name> \
                                     -host  <host name>     \
                                     -port  <port number>

  For all examples the default instance name is kvstore, the default host name is localhost and the default port number is 5000. These defaults match the defaults for running kvlite, so the simplest way to run the examples along with kvlite is to omit all parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HelloBigDataWorld(String[] argv)` Parses command line args and opens the KVStore.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` Runs the HelloBigDataWorld command line program.
    `(package private) void` | `runExample()` Performs example operations and closes the KVStore.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HelloBigDataWorld

          HelloBigDataWorld(String[] argv)

      Parses command line args and opens the KVStore.

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Runs the HelloBigDataWorld command line program.

    - #### runExample

          void runExample()

      Performs example operations and closes the KVStore.

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.